Bug 1824917 - Incorrect Instructions for refreshing CA cert bundle
Summary: Incorrect Instructions for refreshing CA cert bundle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: egarcia
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1824927
Blocks: 1824921
TreeView+ depends on / blocked
 
Reported: 2020-04-16 16:32 UTC by egarcia
Modified: 2020-05-04 11:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The oc command for refreshing the CA cert is missing the resource type on which to operate. Consequence: The command returns an error. Fix: Correct the command by adding the missing configmap resource type. Result: The command now succeeds.
Clone Of:
: 1824921 1824927 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3465 None closed Bug 1824917: [release-4.4] OpenStack: Correcting the instructions to refresh a CA cert 2020-04-23 08:27:26 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:45 UTC

Description egarcia 2020-04-16 16:32:33 UTC
The instructions for refreshing the CA cert have a typo. The instructions state to run: oc edit -n openshift-config cloud-provider-config however this command is incorrect. It should be: oc edit configmap -n openshift-config cloud-provider-config

Comment 3 David Sanz 2020-04-17 09:34:50 UTC
Verified

Comment 4 Pierre Prinetti 2020-04-18 10:37:45 UTC
Temporarily reverting the status to allow for the automation to link the PR

Comment 6 Pierre Prinetti 2020-04-20 17:33:23 UTC
The PR is merged; status can be moved back to VERIFIED.

Comment 7 David Sanz 2020-04-21 09:03:45 UTC
Verified

Comment 9 errata-xmlrpc 2020-05-04 11:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.